View Issue Details

IDProjectCategoryView StatusLast Update
0003018SOGoBackend Mailpublic2014-12-15 19:38
Reporterthirsty Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version2.2.10 
Target Version2.2.12Fixed in Version2.2.12 
Summary0003018: BAD Error in IMAP command SETANNOTATION: Unknown command, Support RFC5464 and not the draft version.
Description

When I turn on IMAP debuggin I see a lot of "BAD Error in IMAP command SETANNOTATION: Unknown command." while activesyncing.

I was wondering why Dovecot 2.2.15 didn't support this command.

I found that SETANNOTATION is an old command defined in https://tools.ietf.org/html/draft-daboo-imap-annotatemore-08 and before.
They changed this to GETMETADATA in r09 and higher. https://tools.ietf.org/html/rfc5464

I found that Metadata is supported around dovecot v2.2.8 http://hg.dovecot.org/dovecot-2.2/rev/0a08efeb3f40

I think 2 thing must be done.

  1. Of course support the latest RFC5464
  2. Check and report if the IMAP server don't have CAPABILITY of METADATA/ANNOTAION. See also http://www.sogo.nu/bugs/view.php?id=2804#c7252
Additional Information

Related:

TagsNo tags attached.

Activities

ludovic

ludovic

2014-12-09 10:21

administrator   ~0007796

The old standard is used because that's what Cyrus supports.

On Dovecot, the X-GUID should be used.

This commit should fix the issue you're seeing:

https://github.com/inverse-inc/sogo/commit/2b95dd2c0a04b28839a721cb3ba40c674f3981b5

Try with the upcoming v2.2.11 release and report your findings. It should be out in a couple of hours.

thirsty

thirsty

2014-12-10 09:54

reporter   ~0007817

Software sogo:amd64 (2.2.11-1)

Sogo still tries to execute SETANNOTATION command to my Dovecot IMAP server.

SOGO IMAP LOG:

<pre>
S[0x7f1ac8683ce8]: OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE STARTTLS AUTH=PLAIN AUTH=LOGIN] Dovecot ready.
C[0x7f1ac867e7d8]: 1 login "rene" "xxxxx"
S[0x7f1ac8683ce8]: 1 OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS SPECIAL-USE BINARY MOVE] Logged in
C[0x7f1ac867e7d8]: 2 capability
S[0x7f1ac8683ce8]:
CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNS ELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS SPECIAL-USE BINARY MOVE
S[0x7f1ac8683ce8]: 2 OK Capability completed.
C[0x7f1ac867e7d8]: 3 ID ("x-originating-ip" "xxx.xxx.xxx.xxx")
S[0x7f1ac8683ce8]: ID ("name" "Dovecot")
S[0x7f1ac8683ce8]: 3 OK ID completed.
C[0x7f1ac867e7d8]: 4 LIST "" ""
S[0x7f1ac8683ce8]:
LIST (\Noselect) "/" ""
S[0x7f1ac8683ce8]: 4 OK List completed.
C[0x7f1ac867e7d8]: 5 LIST "" ""
S[0x7f1ac8683ce8]:
LIST (\HasChildren \Trash) "/" Trash
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" Trash/test
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren \Drafts) "/" Drafts
S[0x7f1ac8683ce8]: LIST (\HasNoChildren \Junk) "/" Junk
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren \Sent) "/" Sent
S[0x7f1ac8683ce8]: LIST (\HasNoChildren \Sent) "/" "Sent Messages"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" INBOX/Scouting
S[0x7f1ac8683ce8]: LIST (\Noselect \HasChildren) "/" "Shared Folders"
S[0x7f1ac8683ce8]:
LIST (\HasChildren) "/" "Shared Folders/lieke"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/lieke/Trash"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/lieke/Drafts"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/lieke/Sent"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/catchall"
S[0x7f1ac8683ce8]: LIST (\HasChildren) "/" "Shared Folders/gezamelijk"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Trash"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Drafts"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Junk"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Sent"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Sent Messages"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/test"
S[0x7f1ac8683ce8]:
LIST (\HasChildren) "/" INBOX
S[0x7f1ac8683ce8]: 5 OK List completed.
C[0x7f1ac867e7d8]: 6 namespace
S[0x7f1ac8683ce8]: NAMESPACE (("" "/")) (("Shared Folders/" "/")) NIL
S[0x7f1ac8683ce8]: 6 OK Namespace completed.
C[0x7f1ac867e7d8]: 7 LIST "" "Shared Folders/
"
S[0x7f1ac8683ce8]: LIST (\HasChildren) "/" "Shared Folders/lieke"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/lieke/Trash"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/lieke/Drafts"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/lieke/Sent"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/catchall"
S[0x7f1ac8683ce8]:
LIST (\HasChildren) "/" "Shared Folders/gezamelijk"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Trash"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Drafts"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Junk"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Sent"
S[0x7f1ac8683ce8]: LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/Sent Messages"
S[0x7f1ac8683ce8]:
LIST (\HasNoChildren) "/" "Shared Folders/gezamelijk/test"
S[0x7f1ac8683ce8]: 7 OK List completed.
C[0x7f1ac867e7d8]: 8 getannotation "" "/comment" "value.priv"
S[0x7f1ac8683ce8]: 8 BAD Error in IMAP command GETANNOTATION: Unknown command.
C[0x7f1ac867e7d8]: 9 setannotation "Shared Folders/gezamelijk/Sent Messages" "/comment" ("value.priv" "xxxxxxxxxxxxxx_5022_1a38950f_0")
S[0x7f1ac8683ce8]: 9 BAD Error in IMAP command SETANNOTATION: Unknown command.
C[0x7f1ac867e7d8]: 10 status "Shared Folders/gezamelijk/Sent Messages" (x-guid)
S[0x7f1ac8683ce8]:
STATUS "Shared Folders/gezamelijk/Sent Messages" (X-GUID 78219a0110128354021b0000437ec353)
--- cut ---
</pre>

ludovic

ludovic

2014-12-15 19:38

administrator   ~0007839

https://github.com/inverse-inc/sogo/commit/f29a74f82f437ffce96ac15f1ab604218f0a22d6

Issue History

Date Modified Username Field Change
2014-12-09 10:04 thirsty New Issue
2014-12-09 10:21 ludovic Note Added: 0007796
2014-12-09 15:20 ludovic Status new => resolved
2014-12-09 15:20 ludovic Resolution open => suspended
2014-12-09 15:20 ludovic Assigned To => ludovic
2014-12-10 09:54 thirsty Note Added: 0007817
2014-12-10 09:54 thirsty Status resolved => feedback
2014-12-10 09:54 thirsty Resolution suspended => reopened
2014-12-10 10:23 ludovic Severity major => feature
2014-12-15 19:38 ludovic Target Version => 2.2.12
2014-12-15 19:38 ludovic Note Added: 0007839
2014-12-15 19:38 ludovic Status feedback => resolved
2014-12-15 19:38 ludovic Fixed in Version => 2.2.12
2014-12-15 19:38 ludovic Resolution reopened => fixed